# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils

DESCRIPTION="Jajouka.  A GUI for Giantdisc jukeboxes."
HOMEPAGE="http://www.anti-particle.com/jajouka.shtml"
SRC_URI="http://www.anti-particle.com/downloads/${P}.tar.gz"

SLOT="0"
LICENSE="GPL-2"
KEYWORDS="x86"
IUSE=""

DEPEND=">=dev-lang/python-2.3
	>=dev-python/pygtk-2.3.92
    >=dev-python/mysql-python-0.9.2
    !media-sound/jajouka-rescan"

S=${WORKDIR}/jajouka

src_compile() {
    #make script to start jajouka
	echo "#!/bin/bash" > jajouka
	echo "cd /usr/share/jajouka" >> jajouka
	echo "python jajouka.py \$*" >> jajouka
    
    #make script to start gdisc_rescan
	echo "#!/bin/bash" > jajouka_gd_rescan
	echo "cd /usr/share/jajouka" >> jajouka_gd_rescan
	echo "python gdisc_rescan.py \$*" >> jajouka_gd_rescan
    
    python -c "import compileall; compileall.compile_dir('${S}')"
}

src_install() {
	insinto /usr/share/jajouka
	doins *.py *.pyc jajouka.conf
    
	exeinto /usr/share/jajouka
    doexe jajouka.py
    
	cp -R {glade,pixmaps} ${D}/usr/share/jajouka

	fowners root:root /usr/share/jajouka/*.py
    fowners root:root /usr/share/jajouka/*.pyc
    
	into /usr
	dobin jajouka
    dobin jajouka_gd_rescan

	dodoc doc/TODO  doc/CHANGELOG  doc/INSTALL  doc/COPYING  doc/README
    
    #make_desktop_entry jajouka Jajouka ../jajouka/rhythmbox-audiocd.png Multimedia
}

