# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-video/infosatepg/infosatepg-0.1.2.ebuild,v 1.2 2005/03/16 22:31:09 zzam Exp $

# include functions from eutils
inherit eutils dvb

VDR_CONV_DIR="/etc/vdr"
TVMOVIE2VDR_CONV_DIR="${VDR_CONV_DIR}/tvmovie2vdr"
DATA_DIR="/var/vdr"
TVMOVIE2VDR_FILES_DIR="${DATA_DIR}/tvmovie2vdr"

DESCRIPTION="load the siehferninfo program guide from sat to import the data with tvmovie2vdr to vdr"
SRC_URI="http://www.herzomedia.net/schwarzott/vdr/infosatepg-${PV}.tar.bz2"
HOMEPAGE="http://www.herzomedia.net/schwarzott/vdr/"
LICENSE="GPL-2"
RESTRICT="nomirror"

DEPEND=">=media-video/tvmovie2vdr-0.4.1
"

SLOT="0"
KEYWORDS="~x86"
IUSE=""

S=${WORKDIR}/${P}

src_unpack() {
	unpack ${A}

	dvb_find_driver_include

	# call configure script to create Makefile
	cd ${S}
	econf CPPFLAGS=-I${DVB_DRIVER_INCLUDE}
}

src_install() {
	exeinto /usr/bin
	doexe src/infosatepg
	dodoc AUTHORS
	dodoc COPYING
	dodoc README
	dodoc TODO
	dodoc INSTALL
	keepdir ${TVMOVIE2VDR_FILES_DIR}/infosatepg
}

pkg_postinst() {
	einfo "setting rights for received dir"
	chown vdr:video "${TVMOVIE2VDR_FILES_DIR}/infosatepg"
	einfo
	ewarn Program options changed, you should update yout /etc/crontab
	einfo
	einfo "Its a good idea to add the following to /etc/crontab:"
	einfo "10  3  * * *     vdr     (infosatepg -c VIVA -o ${TVMOVIE2VDR_FILES_DIR}/infosatepg)"
	einfo
	einfo "Update your tvmovie2vdr channels.pl to update the data to vdr"
	einfo
	einfo "Addiotnal Infos and Updatescripts for commands.conf you find here:"
	einfo "http://www.vdr-wiki.de/wiki/index.php/Infosatepg"
	einfo
}
