# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-video/vdrsync/vdrsync-0.1.3_pre1-r5.ebuild,v 1.3 2005/03/31 20:59:39 zzam Exp $

MY_SNAPSHOT="050322"
IUSE="dvdr"
S=${WORKDIR}/vdrsync-${MY_SNAPSHOT}
DESCRIPTION="Video Disk Recorder VDRSYNC Script"
HOMEPAGE="http://vdrsync.vdr-portal.de/"
SRC_URI="
	http://vdrsync.vdr-portal.de/releases/vdrsync-${MY_SNAPSHOT}.tgz
	mirror://vdrfiles/vdrsync/vdrsync-${MY_SNAPSHOT}.tgz
"
KEYWORDS="~x86 ~amd64"
SLOT="0"
LICENSE="GPL-2"

RESTRICT="nomirror"

DEPEND="
	>=media-video/vdr-1.2.0
	>=perl-5.8.0
	media-fonts/corefonts
	dvdr? (
		>=media-libs/gd-2.0.15
		>=dev-perl/GD-2.0.7
		>=dev-perl/GDTextUtil-0.86
		>=media-video/dvdauthor-0.6.8
		)
	"


src_unpack() {
	unpack ${A}
}

src_compile() {
	einfo "no compile needed"
}

src_install() {
	exeinto	/usr/bin
	doexe check-vdrsync.pl
	doexe vdrsync.pl
	doexe vdrsync_buffer.pl
	doexe dvd-menu.pl
	dosed "s:/usr/X11R6/lib/X11/fonts/truetype/arial.ttf:/usr/share/fonts/corefonts/arial.ttf:g" /usr/bin/dvd-menu.pl

	# vdrsync/dvd-menu use hardcoded tmp-directory for large (up to and
	# greater than 1G). Uncomment and change the next two lines to your
	# needs if you need another tmp-Dir
	#dosed 's:"/tmp/":"/temp/":g' /usr/bin/dvd-menu.pl 
	#dosed 's:"/tmp/":"/temp/":g' /usr/bin/vdrsync.pl

#	dodoc BUGS CHANGES COPYING INSTALL MANUAL MANUAL-DE README README.dvd-menu TODO
	dodoc CHANGES
}

pkg_preinst() {
	ewarn
	ewarn "vdrsync-0.1.3 is NOT compatible with previous versions"
	ewarn "and might not work with vdrconvert, burn- or vdrrip-plugin" 
	ewarn
	ewarn "If you want to test this comment the blocking dependencies"
	ewarn "in DEPEND and test this thoroughly. File a bug at bugs.gentoo.de"
	ewarn "if you find a stable configuration and want the blocks removed."
}

pkg_postinst() {
	einfo
	einfo "For additional info visit http://vdrsync.gentoo.de/"
	einfo
}
